<!doctype html>
<html lang="en">
  <head>
    {% load static %}
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js" integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link rel="stylesheet" type="text/css" href="{% static 'myWebsite/style.css' %}">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <title>Hello, world!</title>
  </head>
  <body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <div class="container-fluid">
        <a class="navbar-brand" href="#">Profile</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav ms-auto">
            <li class="nav-item">
              <a class="nav-link" href="/">Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/detail">Add Data</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/kegiatan">Kegiatan</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/tambah-kegiatan">Tambah Kegiatan</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/tambah-peserta">Tambah Peserta</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
    {% block body %}
    {% endblock %}
  </body>
  <script>
    $( function() {
      $( "#accordion" ).accordion({collapsible:true, active:false});
    } );
    
    $("#button1d").click(function(event){
      event.stopPropagation(); 
      event.preventDefault();

      var paragraphs = $('#accordion div p');  

      var temp = $("#section2").text();
      var temp2 = paragraphs.eq(1).text();
      $("#section2").text($("#section1").text());
      paragraphs.eq(1).text(paragraphs.eq(0).text());
      $("#section1").text(temp);
      paragraphs.eq(0).text(temp2);
  });

  $("#button2d").click(function(event){
      event.stopPropagation(); 
      event.preventDefault();

      var paragraphs = $('#accordion div p');  

      var temp = $("#section3").text();
      var temp2 = paragraphs.eq(2).text();
      $("#section3").text($("#section2").text());
      paragraphs.eq(2).text(paragraphs.eq(1).text());
      $("#section2").text(temp);
      paragraphs.eq(1).text(temp2);
  });

  $("#button3d").click(function(event){
      event.stopPropagation(); 
      event.preventDefault();

      var paragraphs = $('#accordion div p');  

      var temp = $("#section4").text();
      var temp2 = paragraphs.eq(3).text();
      $("#section4").text($("#section3").text());
      paragraphs.eq(3).text(paragraphs.eq(2).text());
      $("#section3").text(temp);
      paragraphs.eq(2).text(temp2);
  });
  
  $("#button1u").click(function(event){
      event.stopPropagation(); 
      event.preventDefault();

      var paragraphs = $('#accordion div p');  

      var temp = $("#section2").text();
      var temp2 = paragraphs.eq(1).text();
      $("#section2").text($("#section1").text());
      paragraphs.eq(1).text(paragraphs.eq(0).text());
      $("#section1").text(temp);
      paragraphs.eq(0).text(temp2);
  });

  $("#button2u").click(function(event){
      event.stopPropagation(); 
      event.preventDefault();

      var paragraphs = $('#accordion div p');  

      var temp = $("#section3").text();
      var temp2 = paragraphs.eq(2).text();
      $("#section3").text($("#section2").text());
      paragraphs.eq(2).text(paragraphs.eq(1).text());
      $("#section2").text(temp);
      paragraphs.eq(1).text(temp2);
  });

  $("#button3u").click(function(event){
      event.stopPropagation(); 
      event.preventDefault();

      var paragraphs = $('#accordion div p');  

      var temp = $("#section4").text();
      var temp2 = paragraphs.eq(3).text();
      $("#section4").text($("#section3").text());
      paragraphs.eq(3).text(paragraphs.eq(2).text());
      $("#section3").text(temp);
      paragraphs.eq(2).text(temp2);
  });

  </script>
</html>